漏洞信息详情

JerryScript 缓冲区错误漏洞

漏洞简介

JerryScript是一款轻量级的JavaScript引擎。

JerryScript commit 4e58ccf68070671e1fff5cd6673f0c1d5b80b166版本中的‘lit_char_to_utf8_bytes’函数(jerry-core/lit/lit-char-helpers.c文件)存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/jerryscript-project/jerryscript/issues/2476

受影响实体

    暂无